---
title: About BrickCamp
subtitle: The Technique Dictionary
tntsearch:
    index: false

image: theme://images/logo.svg
---
![Brick.Camp Logo](themes://brick-camp/images/logo_large.png?cropResize=150,150&classes=mx-auto,d-block,img-fluid)

BrickCamp aims to be an **easy-to-use, open and secure** online tool to help LEGO® builders accomplish their goals. Currently, it is still under heavy development by [Tobias Buckdahn](https://www.brickup.de/?target=_blank&rel=noopener).

### Easy-to-use
![Cheese Slopes in Brick](/tech/cheese-in-brick/image.png?cropResize=150,150&classes=mx-auto,d-block,img-fluid)

For beginners and newcomers, some community terms (like [SNOT, AZMEP, etc.](https://www.brothers-brick.com/lego-glossary/?target=_blank&rel=noopener)) might be confusing. That's why BrickCamp structures its entries purely by (unabbreviated) purpose:

 - [Rotations](/techs/rotations) to change the orientation of a piece.
 - [Offsets](/techs/offsets) to get independent of the stud grid.
 - [Patterns](/techs/patterns) to decorate surfaces.
 - [Shapes](/techs/shapes) to help with some geometries.

And there's more on the horizont - stay curious.

### Free and Open
![Minifig Hands on Dinner Plate (Sun)](/tech/minifig-hands-on-dinner-plate/image.png?cropResize=150,150&classes=mx-auto,d-block,img-fluid)

BrickCamp is [completely open source](https://gitlab.com/brick.camp/brick.camp?target=_blank&rel=noopener). This means, you can study everything: 

 - The [files for each and every technique](https://gitlab.com/brick.camp/brick.camp/tree/master/pages/21.tech?target=_blank&rel=noopener) published here.
 - The [complete history](https://gitlab.com/brick.camp/brick.camp/commits/master?target=_blank&rel=noopener) of this website since its [very first step](https://gitlab.com/brick.camp/brick.camp/commit/b288341df51d14e9f6ada3dffbbd6108b095d16e?target=_blank&rel=noopener) in June 2018.
 - The [theme of this website](https://gitlab.com/brick.camp/brick.camp/tree/master/themes/brick-camp?target=_blank&rel=noopener)
 - Really everything - you could even [run a local copy of this website](https://gitlab.com/brick.camp/brick.camp?target=_blank&rel=noopener#local-setup/).

Furthermore, images and contents are [licensed as creative commons](https://creativecommons.org/licenses/by-sa/4.0/?target=_blank&rel=noopener).

### Secure and Private
![Marakoeschtras Wall](/tech/marakoeschtras-wall/image.png?cropResize=150,150&classes=mx-auto,d-block,img-fluid)

This site is non-profit and comes without advertising, tracking and other burdens of the modern internet. If you're facing any issues with this site, please always [feel free to contact me](/contact). 